OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_DocumentRepresentationType Class Reference

Representation of STEP entity DocumentRepresentationType
.

`#include <StepBasic_DocumentRepresentationType.hxx>`

## Public Member Functions
Standard_EXPORT | StepBasic_DocumentRepresentationType ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepBasic_Document)&aRepresentedDocument)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
| Returns field Name .
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&Name)
| Set field Name .
Standard_EXPORT Handle_StepBasic_Document | RepresentedDocument () const
| Returns field RepresentedDocument .
Standard_EXPORT void | SetRepresentedDocument (const Handle(StepBasic_Document)&RepresentedDocument)
| Set field RepresentedDocument .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TCollection_HAsciiString | theName
Handle_StepBasic_Document | theRepresentedDocument

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_DocumentRepresentationType::StepBasic_DocumentRepresentationType | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_DocumentRepresentationType::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepBasic_DocumentRepresentationType::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepBasic_Document)& | aRepresentedDocument
| ) |

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_DocumentRepresentationType::Name | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_Document StepBasic_DocumentRepresentationType::RepresentedDocument | ( |  | ) | const

Standard_EXPORT void StepBasic_DocumentRepresentationType::SetName | ( | const Handle(TCollection_HAsciiString)& | Name | ) |

Standard_EXPORT void StepBasic_DocumentRepresentationType::SetRepresentedDocument | ( | const Handle(StepBasic_Document)& | RepresentedDocument | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepBasic_DocumentRepresentationType::theName`[private]`

Handle_StepBasic_Document StepBasic_DocumentRepresentationType::theRepresentedDocument`[private]`

The documentation for this class was generated from the following file:

- StepBasic_DocumentRepresentationType.hxx